{
  "Version": 1,
  "WorkspaceRootPath": "E:\\projects\\praktika\\",
  "Documents": [
    {
      "AbsoluteMoniker": "D:0:0:{5D91C495-C4F4-46F5-B4B4-8C796C23D51D}|TestPr\\TestPr.csproj|e:\\projects\\praktika\\testpr\\unittest1.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{5D91C495-C4F4-46F5-B4B4-8C796C23D51D}|TestPr\\TestPr.csproj|solutionrelative:testpr\\unittest1.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{A2FE74E1-B743-11D0-AE1A-00A0C90FFFC3}|\u003CMiscFiles\u003E|C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\MSBuild\\Current\\Bin\\amd64\\Microsoft.Common.CurrentVersion.targets||{FA3CD31E-987B-443A-9B81-186104E8DAC1}|"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\praktika.csproj|e:\\projects\\praktika\\praktika\\form1.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\praktika.csproj|solutionrelative:praktika\\form1.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\BooksRating.csproj|e:\\projects\\praktika\\praktika\\form1.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form",
      "RelativeMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\BooksRating.csproj|solutionrelative:praktika\\form1.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\praktika.csproj|E:\\projects\\praktika\\praktika\\form1.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form",
      "RelativeMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\praktika.csproj|solutionrelative:praktika\\form1.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form"
    },
    {
      "AbsoluteMoniker": "D:0:0:{5D91C495-C4F4-46F5-B4B4-8C796C23D51D}|TestPr\\TestPr.csproj|e:\\projects\\praktika\\testpr\\testpr.csproj||{FA3CD31E-987B-443A-9B81-186104E8DAC1}|",
      "RelativeMoniker": "D:0:0:{5D91C495-C4F4-46F5-B4B4-8C796C23D51D}|TestPr\\TestPr.csproj|solutionrelative:testpr\\testpr.csproj||{FA3CD31E-987B-443A-9B81-186104E8DAC1}|"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\BooksRating.csproj|e:\\projects\\praktika\\praktika\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\BooksRating.csproj|solutionrelative:praktika\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\BooksRating.csproj|e:\\projects\\praktika\\praktika\\booksrating.csproj||{FA3CD31E-987B-443A-9B81-186104E8DAC1}|",
      "RelativeMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\BooksRating.csproj|solutionrelative:praktika\\booksrating.csproj||{FA3CD31E-987B-443A-9B81-186104E8DAC1}|"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\praktika.csproj|E:\\projects\\praktika\\praktika\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\praktika.csproj|solutionrelative:praktika\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\BooksRating.csproj|e:\\projects\\praktika\\praktika\\booksrating.csproj||{04B8AB82-A572-4FEF-95CE-5222444B6B64}|",
      "RelativeMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\BooksRating.csproj|solutionrelative:praktika\\booksrating.csproj||{04B8AB82-A572-4FEF-95CE-5222444B6B64}|"
    },
    {
      "AbsoluteMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\praktika.csproj|E:\\projects\\praktika\\praktika\\form1.designer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{3FD32164-3341-4947-8B7E-FF6ECC300EBE}|praktika\\praktika.csproj|solutionrelative:praktika\\form1.designer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    }
  ],
  "DocumentGroupContainers": [
    {
      "Orientation": 0,
      "VerticalTabListWidth": 256,
      "DocumentGroups": [
        {
          "DockedWidth": 200,
          "SelectedChildIndex": 6,
          "Children": [
            {
              "$type": "Document",
              "DocumentIndex": 3,
              "Title": "Form1.cs [\u041A\u043E\u043D\u0441\u0442\u0440\u0443\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u0435]",
              "DocumentMoniker": "E:\\projects\\praktika\\praktika\\Form1.cs",
              "RelativeDocumentMoniker": "praktika\\Form1.cs",
              "ToolTip": "E:\\projects\\praktika\\praktika\\Form1.cs [\u041A\u043E\u043D\u0441\u0442\u0440\u0443\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u0435]",
              "RelativeToolTip": "praktika\\Form1.cs [\u041A\u043E\u043D\u0441\u0442\u0440\u0443\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u0435]",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2026-06-28T13:46:01.078Z",
              "EditorCaption": " [\u041A\u043E\u043D\u0441\u0442\u0440\u0443\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u0435]"
            },
            {
              "$type": "Document",
              "DocumentIndex": 7,
              "Title": "BooksRating",
              "DocumentMoniker": "E:\\projects\\praktika\\praktika\\BooksRating.csproj",
              "RelativeDocumentMoniker": "praktika\\BooksRating.csproj",
              "ToolTip": "E:\\projects\\praktika\\praktika\\BooksRating.csproj",
              "RelativeToolTip": "praktika\\BooksRating.csproj",
              "ViewState": "AQIAAAAAAAAAAAAAAAAAAA8AAAACAAAA",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000758|",
              "WhenOpened": "2026-06-28T13:37:45.405Z",
              "EditorCaption": ""
            },
            {
              "$type": "Bookmark",
              "Name": "ST:0:0:{c9c0ae26-aa77-11d2-b3f0-0000f87570ee}"
            },
            {
              "$type": "Bookmark",
              "Name": "ST:0:0:{3ae79031-e1bc-11d0-8f78-00a0c9110057}"
            },
            {
              "$type": "Document",
              "DocumentIndex": 6,
              "Title": "Program.cs",
              "DocumentMoniker": "E:\\projects\\praktika\\praktika\\Program.cs",
              "RelativeDocumentMoniker": "praktika\\Program.cs",
              "ToolTip": "E:\\projects\\praktika\\praktika\\Program.cs",
              "RelativeToolTip": "praktika\\Program.cs",
              "ViewState": "AQIAAAAAAAAAAAAAAAAAAAAAAAAAAAAA",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2026-06-28T12:35:41.455Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 5,
              "Title": "TestPr",
              "DocumentMoniker": "E:\\projects\\praktika\\TestPr\\TestPr.csproj",
              "RelativeDocumentMoniker": "TestPr\\TestPr.csproj",
              "ToolTip": "E:\\projects\\praktika\\TestPr\\TestPr.csproj",
              "RelativeToolTip": "TestPr\\TestPr.csproj",
              "ViewState": "AQIAAAAAAAAAAAAAAAAAABsAAAAAAAAA",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000758|",
              "WhenOpened": "2026-06-28T13:38:58.246Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 0,
              "Title": "UnitTest1.cs",
              "DocumentMoniker": "E:\\projects\\praktika\\TestPr\\UnitTest1.cs",
              "RelativeDocumentMoniker": "TestPr\\UnitTest1.cs",
              "ToolTip": "E:\\projects\\praktika\\TestPr\\UnitTest1.cs",
              "RelativeToolTip": "TestPr\\UnitTest1.cs",
              "ViewState": "AQIAAAMAAAAAAAAAAAAAAAcAAAAgAAAA",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2026-06-28T13:38:42.307Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 1,
              "Title": "Microsoft.Common.CurrentVersion.targets",
              "DocumentMoniker": "C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\MSBuild\\Current\\Bin\\amd64\\Microsoft.Common.CurrentVersion.targets",
              "ToolTip": "C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\MSBuild\\Current\\Bin\\amd64\\Microsoft.Common.CurrentVersion.targets",
              "ViewState": "AQIAAD8HAAAAAAAAAAAWwEoHAAAEAAAA",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.003801|",
              "WhenOpened": "2026-06-28T13:37:26.153Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 2,
              "Title": "Form1.cs",
              "DocumentMoniker": "E:\\projects\\praktika\\praktika\\Form1.cs",
              "RelativeDocumentMoniker": "praktika\\Form1.cs",
              "ToolTip": "E:\\projects\\praktika\\praktika\\Form1.cs",
              "RelativeToolTip": "praktika\\Form1.cs",
              "ViewState": "AQIAAN4BAAAAAAAAAADwv/MBAAAAAAAA",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2026-05-31T16:57:37.316Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 9,
              "Title": "praktika",
              "DocumentMoniker": "E:\\projects\\praktika\\praktika\\BooksRating.csproj",
              "RelativeDocumentMoniker": "praktika\\BooksRating.csproj",
              "ToolTip": "E:\\projects\\praktika\\praktika\\BooksRating.csproj",
              "RelativeToolTip": "praktika\\BooksRating.csproj",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000758|",
              "WhenOpened": "2026-06-28T12:34:55.965Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 8,
              "Title": "Program.cs",
              "DocumentMoniker": "E:\\projects\\praktika\\praktika\\Program.cs",
              "RelativeDocumentMoniker": "praktika\\Program.cs",
              "ToolTip": "E:\\projects\\praktika\\praktika\\Program.cs",
              "RelativeToolTip": "praktika\\Program.cs",
              "ViewState": "AQIAAAAAAAAAAAAAAAAAAAAAAAAAAAAA",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2026-05-31T13:31:58.655Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 4,
              "Title": "Form1.cs [\u041A\u043E\u043D\u0441\u0442\u0440\u0443\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u0435]",
              "DocumentMoniker": "E:\\projects\\praktika\\praktika\\Form1.cs",
              "RelativeDocumentMoniker": "praktika\\Form1.cs",
              "ToolTip": "E:\\projects\\praktika\\praktika\\Form1.cs [\u041A\u043E\u043D\u0441\u0442\u0440\u0443\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u0435]",
              "RelativeToolTip": "praktika\\Form1.cs [\u041A\u043E\u043D\u0441\u0442\u0440\u0443\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u0435]",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2026-05-31T16:57:31Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 10,
              "Title": "Form1.Designer.cs",
              "DocumentMoniker": "E:\\projects\\praktika\\praktika\\Form1.Designer.cs",
              "RelativeDocumentMoniker": "praktika\\Form1.Designer.cs",
              "ToolTip": "E:\\projects\\praktika\\praktika\\Form1.Designer.cs",
              "RelativeToolTip": "praktika\\Form1.Designer.cs",
              "ViewState": "AQIAAAAAAAAAAAAAAAAAABYAAAAAAAAA",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2026-05-31T13:31:55.598Z"
            }
          ]
        }
      ]
    }
  ]
}